Loading...
Searching...
No Matches
metadata.h File Reference

JACK Metadata API. More...

`#include <jack/types.h>`

Go to the source code of this file.

## Data Structures

struct | jack_property_t
struct | jack_description_t

## Typedefs

typedef void(* | JackPropertyChangeCallback) (jack_uuid_t subject, const char *key, jack_property_change_t change, void *arg)

## Enumerations

enum | jack_property_change_t { PropertyCreated , PropertyChanged , PropertyDeleted }

## Functions

int | jack_set_property (jack_client_t *, jack_uuid_t subject, const char *key, const char *value, const char *type)
int | jack_get_property (jack_uuid_t subject, const char *key, char **value, char **type)
void | jack_free_description (jack_description_t *desc, int free_description_itself)
int | jack_get_properties (jack_uuid_t subject, jack_description_t *desc)
int | jack_get_all_properties (jack_description_t **descs)
int | jack_remove_property (jack_client_t *client, jack_uuid_t subject, const char *key)
int | jack_remove_properties (jack_client_t *client, jack_uuid_t subject)
int | jack_remove_all_properties (jack_client_t *client)
int | jack_set_property_change_callback (jack_client_t *client, JackPropertyChangeCallback callback, void *arg)

## Variables

const char * | JACK_METADATA_CONNECTED
const char * | JACK_METADATA_EVENT_TYPES
const char * | JACK_METADATA_HARDWARE
const char * | JACK_METADATA_ICON_LARGE
const char * | JACK_METADATA_ICON_NAME
const char * | JACK_METADATA_ICON_SMALL
const char * | JACK_METADATA_ORDER
const char * | JACK_METADATA_PRETTY_NAME
const char * | JACK_METADATA_PORT_GROUP
const char * | JACK_METADATA_SIGNAL_TYPE

## Detailed Description

JACK Metadata API.